LoanBrokerApp (Mule ESB 2.2.1 API)
Keywords: org.mule.example.loanbroker.esn.LoanBrokerApp class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.loanbroker.esn
Class LoanBrokerApp

    java.lang.Object
      org.mule.example.loanbroker.AbstractLoanBrokerApp
          org.mule.example.loanbroker.esn.LoanBrokerApp

    public class LoanBrokerApp

extends AbstractLoanBrokerApp

Runs the LoanBroker ESN example application.

Field Summary
`static String[][]` | `CLI_OPTIONS`

Constructor Summary
`LoanBrokerApp()`
`LoanBrokerApp(String config)`

Method Summary
`protected static String` | `getInteractiveConfig()`
`static void` | `main(String[] args)`

Methods inherited from class org.mule.example.loanbroker.AbstractLoanBrokerApp
`createRequest, dispose, getConfigBuilder, getRandomAmount, getRandomDuration, getRandomSsn, getRequestFromUser, init, readCharacter, readInt, readString, request, requestDispatch, requestSend, requestSend, run, sendRandomRequests`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLI_OPTIONS

    public static final String[][] CLI_OPTIONS

Constructor Detail

### LoanBrokerApp

    public LoanBrokerApp()
                  throws Exception

Throws:
  `Exception`

### LoanBrokerApp

    public LoanBrokerApp(String config)
                  throws Exception

Throws:
  `Exception`

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### getInteractiveConfig

    protected static String getInteractiveConfig()
                                          throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.